-- ============================================================================
-- === NoAutoDEFFill.lua
-- === MOD my [LSMT] Modding Team
-- === LS25 / FS25
-- === Script by [LSMT] BaTt3RiE @ 2025
-- === Ver 1.0.0.0
-- === Dieses Skript deaktiviert das automatische Befüllen des DEF-Tanks beim Diesel-Tanken.
-- ============================================================================

print("Auto-DEF-Füllung deaktiviert! (NoAutoDEFFill.lua geladen)")
if Motorized ~= nil then
    -- Überschreibt die Funktion, die bei einer Fülländerung aufgerufen wird.
    function Motorized.onFillUnitFillLevelChanged(vehicle, fillUnitIndex, fillLevelDelta, fillTypeIndex, toolType, ...)
        --print("Auto-DEF-Füllung deaktiviert!")
    end
end